Subject: Re: bug#13481: gnus-group-compact-group uncaught delete-file error

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Jul 2013 19:16:10 +0200

Keith Waclena <[email-masked]> writes:

> I have used gnus-group-compact-group for the first time, and it blows up
> when attempting to delete a file that apparently got deleted out from
> under gnus:
> Debugger entered--Lisp error: (file-error "Removing old name" "no such file or directory" "/home/keith/Mail/spamarc/255121")
>   delete-file("/home/keith/Mail/spamarc/255121")

[...]

> I think the delete-file needs to check for an error instead of blowing
> up.

So you have something else that deletes messages from the directory
while you're compacting?  I'm not sure whether that can be expected to
work... 

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/